National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2004-1307 Detail

Description

Integer overflow in the TIFFFetchStripThing function in tif_dirread.c for libtiff 3.6.1 allows remote attackers to execute arbitrary code via a TIFF file with the STRIPOFFSETS flag and a large number of strips, which causes a zero byte buffer to be allocated and leads to a heap-based buffer overflow.

Source:  MITRE      Last Modified:  12/21/2004

Quick Info

CVE Dictionary Entry:
CVE-2004-1307
Original release date:
12/21/2004
Last revised:
10/10/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
7.5 HIGH
Vector:
(AV:N/AC:L/Au:N/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Provides user account access, Allows partial confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (08/12/2008)

This issue was resolved in all affected libtiff versions as shipped with Red Hat Enterprise Linux 2.1, 3, and 4 via a patch for CVE-2004-0886. For updates containing patches for CVE-2004-0886, see: https://rhn.redhat.com/errata/CVE-2004-0886.html

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://lists.apple.com/archives/security-announce/2005/May/msg00001.html Patch; Vendor Advisory External Source APPLE APPLE-SA-2005-05-03
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101677-1 External Source SUNALERT 101677
http://sunsolve.sun.com/search/document.do?assetkey=1-66-201072-1 External Source SUNALERT 201072
http://www.idefense.com/application/poi/display?id=173&type=vulnerabilities&flashstatus=true Patch; Vendor Advisory External Source IDEFENSE 20041221 libtiff STRIPOFFSETS Integer Overflow Vulnerability
http://www.kb.cert.org/vuls/id/539110 Patch; Third Party Advisory; US Government Resource External Source CERT-VN VU#539110
http://www.us-cert.gov/cas/techalerts/TA05-136A.html US Government Resource External Source CERT TA05-136A
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11175 External Source OVAL oval:org.mitre.oval:def:11175

References to Check Content

Identifier:
oval:org.mitre.oval:def:11175
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:11175

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:avaya:call_management_system_server:8.0:*:*:*:*:*:*:*
cpe:2.3:a:avaya:call_management_system_server:9.0:*:*:*:*:*:*:*
cpe:2.3:a:avaya:call_management_system_server:11.0:*:*:*:*:*:*:*
cpe:2.3:a:avaya:call_management_system_server:12.0:*:*:*:*:*:*:*
cpe:2.3:a:avaya:call_management_system_server:13.0:*:*:*:*:*:*:*
cpe:2.3:a:avaya:cvlan:*:*:*:*:*:*:*:*
cpe:2.3:a:avaya:integrated_management:*:*:*:*:*:*:*:*
cpe:2.3:a:avaya:interactive_response:*:*:*:*:*:*:*:*
cpe:2.3:a:avaya:interactive_response:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:avaya:interactive_response:1.3:*:*:*:*:*:*:*
cpe:2.3:a:avaya:intuity_audix_lx:*:*:*:*:*:*:*:*
cpe:2.3:a:f5:icontrol_service_manager:1.3:*:*:*:*:*:*:*
cpe:2.3:a:f5:icontrol_service_manager:1.3.4:*:*:*:*:*:*:*
cpe:2.3:a:f5:icontrol_service_manager:1.3.5:*:*:*:*:*:*:*
cpe:2.3:a:f5:icontrol_service_manager:1.3.6:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.4:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.1:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.2:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.3:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.4:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.5:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.5.7:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.6.0:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.6.1:*:*:*:*:*:*:*
cpe:2.3:a:libtiff:libtiff:3.7.0:*:*:*:*:*:*:*
cpe:2.3:a:sgi:propack:3.0:*:*:*:*:*:*:*
cpe:2.3:o:conectiva:linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:conectiva:linux:10.0:*:*:*:*:*:*:*
Configuration 2
OR
cpe:2.3:a:avaya:mn100:*:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.1:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.2:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.3:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.4:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.5:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.6:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.7:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.8:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.3.9:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.1:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.2:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.3:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.4:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.5:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.6:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.7:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.8:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x_server:10.3.9:*:*:*:*:*:*:*
cpe:2.3:o:avaya:modular_messaging_message_storage_server:1.1:*:*:*:*:*:*:*
cpe:2.3:o:avaya:modular_messaging_message_storage_server:2.0:*:*:*:*:*:*:*
cpe:2.3:o:gentoo:linux:*:*:*:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux:10.0:*:*:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux:10.0:*:amd64:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:*:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:x86_64:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux_corporate_server:3.0:*:*:*:*:*:*:*
cpe:2.3:o:mandrakesoft:mandrake_linux_corporate_server:3.0:*:x86_64:*:*:*:*:*
cpe:2.3:o:sco:unixware:7.1.4:*:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:7.0:*:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:7.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:8.0:*:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:8.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:*:sparc:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:x86_update_2:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:10.0:*:sparc:*:*:*:*:*
cpe:2.3:o:sun:solaris:10.0:*:x86:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 3 change records found - show changes